Preview a saved template
POST
/v1/templates/{id}/preview
const url = 'https://shareout.site/v1/templates/example/preview';const options = { method: 'POST', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"data":{}}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://shareout.site/v1/templates/example/preview \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "data": {} }'Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”id
required
string
Request Bodyrequired
Section titled “Request Bodyrequired”Media typeapplication/json
object
data
object
Examplegenerated
{ "data": {}}Responses
Section titled “Responses”Rendered preview
Media typeapplication/json
object
subject
string
html
string
text
string
Examplegenerated
{ "subject": "example", "html": "example", "text": "example"}